summaryrefslogtreecommitdiffstats
path: root/scripts/stable-update.sh
diff options
context:
space:
mode:
authorThorsten Leemhuis <fedora@leemhuis.info>2019-09-21 07:50:31 +0200
committerThorsten Leemhuis <fedora@leemhuis.info>2019-09-21 07:53:11 +0200
commitc56bdfe97cd445e0ae52db7d576cb72b36519c88 (patch)
tree23db3801acd96a54e1a32b00685f2cc362ad5f64 /scripts/stable-update.sh
parent233acb1ccc7b64064e7623fdb1697d88dafb0b17 (diff)
downloadkernel-c56bdfe97cd445e0ae52db7d576cb72b36519c88.tar.gz
kernel-c56bdfe97cd445e0ae52db7d576cb72b36519c88.tar.xz
kernel-c56bdfe97cd445e0ae52db7d576cb72b36519c88.zip
Diffstat (limited to 'scripts/stable-update.sh')
-rwxr-xr-xscripts/stable-update.sh21
1 files changed, 17 insertions, 4 deletions
diff --git a/scripts/stable-update.sh b/scripts/stable-update.sh
index 6c87a85fa..5d9e49fa2 100755
--- a/scripts/stable-update.sh
+++ b/scripts/stable-update.sh
@@ -12,6 +12,11 @@
#
# Args: Stable version to update (e.g. 4.7.7, 4.8.1)
+# update orgin
+~/usr/bin/vanilla-kernel-helper.sh masterupdate
+currentbranch=$(git symbolic-ref --short HEAD)
+git merge --no-edit origin/${currentbranch%-user-thl-vanilla-fedora} || exit 1
+
if [ $# -lt 1 ]; then
echo "Need a version"
exit 1
@@ -60,7 +65,10 @@ fi
grep $1 sources &> /dev/null
if [ ! $? -eq 0 ]; then
- fedpkg upload patch-$1.xz
+ # thl is not an allowed uploader, skip this
+ # fedpkg upload patch-$1.xz
+ checksum=$(sha512sum patch-$1.xz)
+ echo "SHA512 (patch-$1.xz) = ${checksum:0:128}" >> sources
# Cryptic awk: search for the previous patch level (if one exists) and
# remove it from the source file
@@ -76,8 +84,13 @@ awk -v STABLE=$SUBLEVEL '/%define stable_update/ \
mv kernel.spec.tmp kernel.spec
# Reset the base release for use with rpmdev-bumpspec
-BASERELEASE=`cat kernel.spec | grep "%global baserelease" | cut -d ' ' -f 3 | head -c 1`00
-BASERELEASE=$(($BASERELEASE-1))
+BASERELEASE=`cat kernel.spec | grep "%global baserelease" | cut -d ' ' -f 3 | head -c 1`50
+#BASERELEASE=$(($BASERELEASE-1))
BASERELEASE=$BASERELEASE perl -p -i -e 's|%global baserelease.*|%global baserelease $ENV{'BASERELEASE'}|' kernel.spec
-rpmdev-bumpspec -c "Linux v$1" kernel.spec
+# do not generate changelog: avoids merge conflicts that are not worth the trouble
+# rpmdev-bumpspec -c "Linux v$1" kernel.spec
+
+git diff kernel.spec sources
+sleep 1 || exit 1
+git commit -m "Linux v$1" kernel.spec sources